%define modname htscanner
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A12_%{modname}.ini

Summary:	Htaccess support for PHP
Name:		php-%{modname}
Version:	0.8.1
Release:	%mkrel 13
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/htscanner
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tar.bz2
BuildRequires:	php-devel >= 3:5.2.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Allow one to use htaccess-like file to configure PHP per directory, just like
apache's htaccess. It is especially useful with fastcgi. This package was
originally developed by Bart Vanbrabant. Old versions are available
from: http://files.zoeloelip.be/htscanner

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

; The configuration file htscanner needs to scan for php_* directives
config_file=".htaccess"

; The fallback docroot when htscanner can't determine the current docroot
default_docroot="/"
default.ttl=300

; Stop when an error occured in RINIT (no document root, cannot get path_translated,...)
stop_on_error = 0
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS README package*.xml 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-13mdv2009.1
+ Revision: 346502
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-12mdv2009.1
+ Revision: 341764
- rebuilt against php-5.2.9RC2

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-11mdv2009.1
+ Revision: 321796
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-10mdv2009.1
+ Revision: 310275
- rebuilt against php-5.2.7

* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-9mdv2009.0
+ Revision: 238402
- rebuild

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-8mdv2009.0
+ Revision: 200223
- rebuilt for php-5.2.6

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-7mdv2008.1
+ Revision: 162228
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-6mdv2008.1
+ Revision: 107664
- restart apache if needed

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-5mdv2008.0
+ Revision: 77548
- rebuilt against php-5.2.4

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-4mdv2008.0
+ Revision: 39500
- use distro conditional -fstack-protector

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-3mdv2008.0
+ Revision: 33811
- rebuilt against new upstream version (5.2.3)

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-2mdv2008.0
+ Revision: 21333
- rebuilt against new upstream version (5.2.2)

* Wed Apr 18 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-1mdv2008.0
+ Revision: 14527
- 0.8.1


* Tue Feb 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-1mdv2007.0
+ Revision: 123012
- 0.7.0

* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.3-2mdv2007.1
+ Revision: 117587
- rebuilt against new upstream version (5.2.1)

* Sun Jan 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.3-1mdv2007.1
+ Revision: 105366
- 0.6.3

* Mon Dec 18 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-1mdv2007.1
+ Revision: 98533
- 0.6.2
- bump release
- Import php-htscanner

* Wed Dec 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-1mdv2007.1
- initial Mandriva package

